Finding out the latest versions for the gem dependencies

require 'polyrex'
require 'dynarex'

px = Polyrex.new 'http://www.jamesrobertson.eu/polyrex/2014/jun/03/my-ruby-gems-and-their-dependencies.xml'
dx = Dynarex.new 'http://www.jamesrobertson.eu/dynarex/2014/jun/10/all-ruby-gem-dependencies.xml'

r = px.find_by_gem_title 'polyrex-createobject'
a = r.records.map do |record|
  [record.title, dx.find_by_title(record.title).version]
end
#=> [["polyrex-schema", "0.1.16"]] 

In the above example I was interested in the gem dependencies, and their latest version number for the gem polyrex-createobject.

Tags:
Source:
2035hrs.txt
Published:
10-06-2014 20:35